Skip to content
Navigation

Review follow request

PATCH
https://api.sureshake.com/v2/entities/{entityId}/follow-requests/{requestId}

Path parameters

  • entityId
    string
    required
    format: uuid
  • requestId
    string
    required
    format: uuid

Request body JSON

Any of the following:

  • object
    • decision
      approve
      required
    • reviewNotes
      optional
      string
      maxLength: 2000
  • object
    • decision
      narrow
      required
    • grantedTier
      follower
      or
      capital
      or
      diligence
      or
      custom
      required
    • grantedDurationDays
      integer
      required
      maximum: 365 · minimum: 1
    • reviewNotes
      optional
      string
      maxLength: 2000
  • object
    • decision
      reject
      required
    • reviewNotes
      optional
      string
      maxLength: 2000

Returns

200

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • entityId
      string
      required
      format: uuid
    • requestedBy
      string
      required
    • requesterEntityId
      string
      or null
      required
      format: uuid
    • status
      pending
      or
      provisioning
      or
      approved
      or
      paused
      or
      expired
      or
      failed
      +2 more
      required
    • requestNote
      string
      or null
      required
    • reason
      string
      or null
      required
    • requestedTier
      follower
      or
      capital
      or
      diligence
      or
      custom
      or null
      required
    • desiredObservation
      string
      or null
      required
    • requestedDurationDays
      integer
      or null
      required
      maximum: 365 · minimum: 1
    • reviewDecision
      accepted
      or
      narrowed
      or
      declined
      or null
      required
    • grantedTier
      follower
      or
      capital
      or
      diligence
      or
      custom
      or null
      required
    • grantedDurationDays
      integer
      or null
      required
      maximum: 365 · minimum: 1
    • relationshipId
      string
      or null
      required
      format: uuid
    • accessExpiresAt
      string
      or null
      required
      format: date-time
    • renewalCount
      integer
      required
      minimum: 0
    • lastRenewedAt
      string
      or null
      required
      format: date-time
    • reviewedBy
      string
      or null
      required
    • reviewedAt
      string
      or null
      required
      format: date-time
    • reviewNotes
      string
      or null
      required
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
    • requester
      object
      required
      • id
        string
        required
      • name
        string
        required
      • email
        string
        or null
        required
        format: email
      • company
        string
        or null
        required
      • title
        string
        or null
        required
      • avatar
        string
        or null
        required
    • requesterEntity
      object
      or null
      required
      • id
        string
        required
        format: uuid
      • name
        string
        required
      • slug
        string
        or null
        required
      • logoUrl
        string
        or null
        required
    • accessTier
      optional
      follower
      or
      capital
      or
      diligence
      or
      custom
      or null
      default: null
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close